
_main:

;LCD_I2C_v07.mbas,30 :: 		main:
;LCD_I2C_v07.mbas,31 :: 		ANSEL = 0             ' Configure AN pins as digital I/O
	CLRF       ANSEL+0
;LCD_I2C_v07.mbas,32 :: 		ANSELH = 0
	CLRF       ANSELH+0
;LCD_I2C_v07.mbas,38 :: 		Soft_I2C_Init()      ' initialize I2C communication
	CALL       _Soft_I2C_Init+0
;LCD_I2C_v07.mbas,42 :: 		send_CReg(0x33) delay_ms(2)     ' function set 8 bits ???
	MOVLW      51
	MOVWF      FARG_send_CReg_cmd+0
	CALL       _send_CReg+0
	MOVLW      6
	MOVWF      R12+0
	MOVLW      48
	MOVWF      R13+0
L__main1:
	DECFSZ     R13+0, 1
	GOTO       L__main1
	DECFSZ     R12+0, 1
	GOTO       L__main1
	NOP
;LCD_I2C_v07.mbas,43 :: 		send_CReg(0x32) delay_ms(2)     ' function set 8 to 4 ???
	MOVLW      50
	MOVWF      FARG_send_CReg_cmd+0
	CALL       _send_CReg+0
	MOVLW      6
	MOVWF      R12+0
	MOVLW      48
	MOVWF      R13+0
L__main2:
	DECFSZ     R13+0, 1
	GOTO       L__main2
	DECFSZ     R12+0, 1
	GOTO       L__main2
	NOP
;LCD_I2C_v07.mbas,44 :: 		send_CReg(0x28) delay_ms(2)     ' function set 4 bits complete ???
	MOVLW      40
	MOVWF      FARG_send_CReg_cmd+0
	CALL       _send_CReg+0
	MOVLW      6
	MOVWF      R12+0
	MOVLW      48
	MOVWF      R13+0
L__main3:
	DECFSZ     R13+0, 1
	GOTO       L__main3
	DECFSZ     R12+0, 1
	GOTO       L__main3
	NOP
;LCD_I2C_v07.mbas,45 :: 		send_CReg(0x0F) delay_ms(2)     ' display, cursor, blinking ... ON
	MOVLW      15
	MOVWF      FARG_send_CReg_cmd+0
	CALL       _send_CReg+0
	MOVLW      6
	MOVWF      R12+0
	MOVLW      48
	MOVWF      R13+0
L__main4:
	DECFSZ     R13+0, 1
	GOTO       L__main4
	DECFSZ     R12+0, 1
	GOTO       L__main4
	NOP
;LCD_I2C_v07.mbas,46 :: 		send_CReg(0x06) delay_ms(2)     ' cursor, display shift
	MOVLW      6
	MOVWF      FARG_send_CReg_cmd+0
	CALL       _send_CReg+0
	MOVLW      6
	MOVWF      R12+0
	MOVLW      48
	MOVWF      R13+0
L__main5:
	DECFSZ     R13+0, 1
	GOTO       L__main5
	DECFSZ     R12+0, 1
	GOTO       L__main5
	NOP
;LCD_I2C_v07.mbas,47 :: 		send_CReg(0x01) delay_ms(2)    ' Clear display and sets DDRAM=0x00
	MOVLW      1
	MOVWF      FARG_send_CReg_cmd+0
	CALL       _send_CReg+0
	MOVLW      6
	MOVWF      R12+0
	MOVLW      48
	MOVWF      R13+0
L__main6:
	DECFSZ     R13+0, 1
	GOTO       L__main6
	DECFSZ     R12+0, 1
	GOTO       L__main6
	NOP
;LCD_I2C_v07.mbas,50 :: 		while (true)      ' tes of 4 lines ...
L__main8:
;LCD_I2C_v07.mbas,51 :: 		goto_yx(1,1)
	MOVLW      1
	MOVWF      FARG_goto_yx_y+0
	MOVLW      1
	MOVWF      FARG_goto_yx_x+0
	CALL       _goto_yx+0
;LCD_I2C_v07.mbas,52 :: 		for dat=0x20 to 0x20+16
	MOVLW      32
	MOVWF      _dat+0
L__main13:
;LCD_I2C_v07.mbas,53 :: 		send_DReg(dat)
	MOVF       _dat+0, 0
	MOVWF      FARG_send_DReg_dat+0
	CALL       _send_DReg+0
;LCD_I2C_v07.mbas,54 :: 		next dat
	MOVF       _dat+0, 0
	XORLW      48
	BTFSC      STATUS+0, 2
	GOTO       L__main16
	INCF       _dat+0, 1
	GOTO       L__main13
L__main16:
;LCD_I2C_v07.mbas,55 :: 		goto_yx(2,1)
	MOVLW      2
	MOVWF      FARG_goto_yx_y+0
	MOVLW      1
	MOVWF      FARG_goto_yx_x+0
	CALL       _goto_yx+0
;LCD_I2C_v07.mbas,56 :: 		for dat=0x30 to 0x30+17
	MOVLW      48
	MOVWF      _dat+0
L__main18:
;LCD_I2C_v07.mbas,57 :: 		send_DReg(dat)
	MOVF       _dat+0, 0
	MOVWF      FARG_send_DReg_dat+0
	CALL       _send_DReg+0
;LCD_I2C_v07.mbas,58 :: 		next dat
	MOVF       _dat+0, 0
	XORLW      65
	BTFSC      STATUS+0, 2
	GOTO       L__main21
	INCF       _dat+0, 1
	GOTO       L__main18
L__main21:
;LCD_I2C_v07.mbas,59 :: 		goto_yx(3,1)
	MOVLW      3
	MOVWF      FARG_goto_yx_y+0
	MOVLW      1
	MOVWF      FARG_goto_yx_x+0
	CALL       _goto_yx+0
;LCD_I2C_v07.mbas,60 :: 		for dat=0x40 to 0x40+18
	MOVLW      64
	MOVWF      _dat+0
L__main23:
;LCD_I2C_v07.mbas,61 :: 		send_DReg(dat)
	MOVF       _dat+0, 0
	MOVWF      FARG_send_DReg_dat+0
	CALL       _send_DReg+0
;LCD_I2C_v07.mbas,62 :: 		next dat
	MOVF       _dat+0, 0
	XORLW      82
	BTFSC      STATUS+0, 2
	GOTO       L__main26
	INCF       _dat+0, 1
	GOTO       L__main23
L__main26:
;LCD_I2C_v07.mbas,63 :: 		goto_yx(4,1)
	MOVLW      4
	MOVWF      FARG_goto_yx_y+0
	MOVLW      1
	MOVWF      FARG_goto_yx_x+0
	CALL       _goto_yx+0
;LCD_I2C_v07.mbas,64 :: 		for dat=0x50 to 0x50+19
	MOVLW      80
	MOVWF      _dat+0
L__main28:
;LCD_I2C_v07.mbas,65 :: 		send_DReg(dat)
	MOVF       _dat+0, 0
	MOVWF      FARG_send_DReg_dat+0
	CALL       _send_DReg+0
;LCD_I2C_v07.mbas,66 :: 		next dat
	MOVF       _dat+0, 0
	XORLW      99
	BTFSC      STATUS+0, 2
	GOTO       L__main31
	INCF       _dat+0, 1
	GOTO       L__main28
L__main31:
;LCD_I2C_v07.mbas,67 :: 		wend
	GOTO       L__main8
L_end_main:
	GOTO       $+0
; end of _main
